package cn.ey.biz.module.system.convert.sms;

import cn.ey.biz.module.system.controller.admin.sms.vo.channel.SmsChannelCreateReqVO;
import cn.ey.biz.module.system.controller.admin.sms.vo.channel.SmsChannelRespVO;
import cn.ey.biz.module.system.controller.admin.sms.vo.channel.SmsChannelSimpleRespVO;
import cn.ey.biz.module.system.controller.admin.sms.vo.channel.SmsChannelUpdateReqVO;
import cn.ey.biz.module.system.dal.dataobject.sms.SmsChannelDO;
import cn.ey.biz.common.pojo.PageResult;
import cn.ey.biz.framework.sms.core.property.SmsChannelProperties;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * 短信渠道 Convert
 *
 */
@Mapper
public interface SmsChannelConvert {

    SmsChannelConvert INSTANCE = Mappers.getMapper(SmsChannelConvert.class);

    SmsChannelDO convert(SmsChannelCreateReqVO bean);

    SmsChannelDO convert(SmsChannelUpdateReqVO bean);

    SmsChannelRespVO convert(SmsChannelDO bean);

    List<SmsChannelRespVO> convertList(List<SmsChannelDO> list);

    PageResult<SmsChannelRespVO> convertPage(PageResult<SmsChannelDO> page);

    List<SmsChannelProperties> convertList02(List<SmsChannelDO> list);

    List<SmsChannelSimpleRespVO> convertList03(List<SmsChannelDO> list);

}
